Package org.apache.felix.framework.ext

# Interface SecurityProvider

public interface SecurityProvider

## Method Summary

Modifier and Type
Method
Description
`void`
`checkBundle(Bundle bundle)`
`Object`
`getSignerMatcher(Bundle bundle, int signersType)`
`boolean`
`hasBundlePermission(ProtectionDomain pd, Permission p, boolean direct)`

## Method Details

### hasBundlePermission

boolean hasBundlePermission(ProtectionDomain pd, Permission p, boolean direct)

### getSignerMatcher

Object getSignerMatcher(Bundle bundle, int signersType)

### checkBundle

void checkBundle(Bundle bundle) throws Exception

Throws:
  `Exception`